Bug 612829 - SELinux is preventing /usr/sbin/abrtd (deleted) "write" access on log.
SELinux is preventing /usr/sbin/abrtd (deleted) "write" access on log.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:9419a2c8173...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-09 03:49 EDT by Davide Repetto
Modified: 2010-11-14 03:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-12 13:14:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Davide Repetto 2010-07-09 03:49:37 EDT
Sommario:

SELinux is preventing /usr/sbin/abrtd (deleted) "write" access on log.

Descrizione dettagliata:

[SELinux è in modalità permissiva. Questo accesso non è stato negato.]

SELinux ha negato l'accesso richiesto da abrtd. Non è previsto che questo
accesso venga richiesto da abrtd, e tale accesso può segnalare un tentativo di
intrusione. È anche possibile che questo sia provocato dalla specifica versione
o dalla configurazione dell'applicazione per richiedere un ulteriore accesso.

Abilitazione accesso in corso:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Informazioni aggiuntive:

Contesto della sorgente       system_u:system_r:abrt_t:s0-s0:c0.c1023
Contesto target               unconfined_u:object_r:device_t:s0
Oggetti target                log [ sock_file ]
Sorgente                      abrtd
Percorso della sorgente       /usr/sbin/abrtd (deleted)
Porta                         <Sconosciuto>
Host                          (removed)
Sorgente Pacchetti RPM        
Pacchetti RPM target          
RPM della policy              selinux-policy-3.7.19-33.fc13
Selinux abilitato             True
Tipo di policy                targeted
Modalità Enforcing           Permissive
Nome plugin                   catchall
Host Name                     (removed)
Piattaforma                   Linux (removed) 2.6.33.5-124.fc13.i686.PAE
                              #1 SMP Fri Jun 11 09:42:24 UTC 2010 i686 i686
Conteggio avvisi              2
Primo visto                   ven 09 lug 2010 09:46:44 CEST
Ultimo visto                  ven 09 lug 2010 09:46:59 CEST
ID locale                     534c4d7e-2f5f-406e-90f6-f9eb6b6fc9e4
Numeri di linea               

Messaggi Raw Audit            

node=(removed) type=AVC msg=audit(1278661619.48:21453): avc:  denied  { write } for  pid=1246 comm="abrtd" name="log" dev=devtmpfs ino=1522630 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:device_t:s0 tclass=sock_file

node=(removed) type=SYSCALL msg=audit(1278661619.48:21453): arch=40000003 syscall=102 success=no exit=-111 a0=3 a1=bf8d6a8c a2=7c4ff4 a3=ffffffb8 items=0 ppid=1 pid=1246 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="abrtd" exe=2F7573722F7362696E2F6162727464202864656C6574656429 subj=system_u:system_r:abrt_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,abrtd,abrt_t,device_t,sock_file,write
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t device_t:sock_file write;
Comment 1 Miroslav Grepl 2010-07-12 13:14:12 EDT
try to execute

restorecon -v /dev/log

Should fix. 

Please reopen if this happens again.

Note You need to log in before you can comment on or make changes to this bug.